@import "@/styles/variables";

.checkbox-wrapper {
    .label {
        @include button-2;

        display: flex;
        align-items: center;
        gap: 0.5rem;
        color: $gray-600;
        cursor: pointer;
        line-height: 16px;
        width: 100%;
        justify-content: space-between;

        &:hover {
            color: $gray-900;
        }

        .label-container {
            display: flex;
            flex-direction: row;
            align-items: center;

            &__content {
                font-size: 14px;
                padding-left: 0.5rem;
            }

            &__subLabel {
                display: flex;
                font-size: 14px;

                &::first-letter {
                    text-transform: uppercase;
                }

                color: $gray-500;
            }

            &__nonactive {
                padding: 10px;
                background-color: $gray-300;
                border-radius: 8px;
                font-size: 12px;
                color: $gray-900;
                max-width: max-content;
                min-width: 117px;
            }
        }

        &__disabled {
            cursor: not-allowed;
        }
    }

    input[type="checkbox"] {
        appearance: none;
        margin: 0;
        width: 20px;
        min-width: 1rem;
        height: 20px;
        border: 1px solid $gray-500;
        border-radius: 4px;
        cursor: pointer;

        &:disabled {
            cursor: not-allowed;
        }

        &:hover {
            border: 1px solid $gray-700;
        }

        &:checked {
            background: $gray-800;
            border: 1px solid transparent;
            position: relative;

            &::before {
                content: url("/assets/images/checked.svg");
                color: $white;
                position: absolute;
                left: 0.3rem;
                bottom: 0.24rem;
            }

            + .label-content {
                color: $gray-800;
                font-weight: 600;
            }

            &:disabled {
                cursor: not-allowed;
                background: $gray-500;
                border: 1px solid $gray-500;
            }
        }
    }
}
